[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [jenkins-ci PATCH] Don't run libvirt-dbus-syntax-check on FreeBSD



On Wed, Nov 14, 2018 at 01:43:10PM +0100, Andrea Bolognani wrote:
> flake8 wants 'pyflakes<1.7.0,>=1.5.0', but all FreeBSD
> releases ship pyflakes 2.0.0 these days.

This rationale doesn't make sense given that I see Fedora has
flake8 which is happily using pyflakes 2.0.0

   # rpm -q python3-flake8 python3-pyflakes
   python3-flake8-3.5.0-6.fc29.noarch
   python3-pyflakes-2.0.0-7.fc29.noarch

Something else must be happening on FreeBSD.

> 
> Signed-off-by: Andrea Bolognani <abologna redhat com>
> ---
>  guests/playbooks/build/projects/libvirt-dbus.yml | 4 +---
>  projects/libvirt-dbus.yaml                       | 4 +---
>  2 files changed, 2 insertions(+), 6 deletions(-)
> 
> diff --git a/guests/playbooks/build/projects/libvirt-dbus.yml b/guests/playbooks/build/projects/libvirt-dbus.yml
> index 1d4ecbd..61ece63 100644
> --- a/guests/playbooks/build/projects/libvirt-dbus.yml
> +++ b/guests/playbooks/build/projects/libvirt-dbus.yml
> @@ -22,15 +22,13 @@
>  - include: '{{ playbook_base }}/jobs/autotools-syntax-check-job.yml'
>    vars:
>      # CentOS 7 doesn't include Python 3 and the version of pyflakes
> -    # in FreeBSD CURRENT is too new to be used by flake8
> +    # in FreeBSD is too new to be used by flake8
>      machines:
>        - libvirt-debian-9
>        - libvirt-debian-sid
>        - libvirt-fedora-28
>        - libvirt-fedora-29
>        - libvirt-fedora-rawhide
> -      - libvirt-freebsd-10
> -      - libvirt-freebsd-11
>        - libvirt-ubuntu-16
>        - libvirt-ubuntu-18
>  - include: '{{ playbook_base }}/jobs/autotools-check-job.yml'
> diff --git a/projects/libvirt-dbus.yaml b/projects/libvirt-dbus.yaml
> index 48bbdaa..49f5366 100644
> --- a/projects/libvirt-dbus.yaml
> +++ b/projects/libvirt-dbus.yaml
> @@ -19,14 +19,12 @@
>        - autotools-syntax-check-job:
>            parent_jobs: 'libvirt-dbus-build'
>            # CentOS 7 doesn't include Python 3 and the version of pyflakes
> -          # in FreeBSD CURRENT is too new to be used by flake8
> +          # in FreeBSD is too new to be used by flake8
>            machines:
>              - libvirt-debian-9
>              - libvirt-fedora-28
>              - libvirt-fedora-29
>              - libvirt-fedora-rawhide
> -            - libvirt-freebsd-10
> -            - libvirt-freebsd-11
>        - autotools-check-job:
>            parent_jobs: 'libvirt-dbus-syntax-check'
>            # CentOS 7 doesn't include Python 3 and the version in Ubuntu
> -- 
> 2.19.1
> 
> --
> libvir-list mailing list
> libvir-list redhat com
> https://www.redhat.com/mailman/listinfo/libvir-list

Regards,
Daniel
-- 
|: https://berrange.com      -o-    https://www.flickr.com/photos/dberrange :|
|: https://libvirt.org         -o-            https://fstop138.berrange.com :|
|: https://entangle-photo.org    -o-    https://www.instagram.com/dberrange :|


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]